Page MenuHomePhabricator

Move RuboCop job from experimental pipeline to the usual pipelines for operations/puppet
Closed, ResolvedPublic

Description

Related to T102020: Setup rubocop for operations/puppet ruby code lints, the only thing that is left to do is to move RuboCop job from experimental pipeline to the usual pipelines.

Event Timeline

zeljkofilipin raised the priority of this task from to Needs Triage.
zeljkofilipin updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 10:25 AM
hashar added a subscriber: yuvipanda.

I guess you want to write some tutorial / instructions for ops so they can run rubocop locally then announce the new job on the ops list :-)

hashar triaged this task as Normal priority.Aug 24 2015, 1:36 PM
hashar set Security to None.

15:41 <hashar> you can start by adding a bit of doc at https://www.mediawiki.org/wiki/Continuous_integration/Entry_points#Ruby to describe bundler
15:41 <hashar> with an example for rubocop
15:41 <hashar> ie list a dummy Gemfile
15:41 <hashar> bundle install
15:41 <hashar> bundle exec rubocop
15:41 <hashar> \O/
15:41 <hashar> maybe add an entry in operations/puppet rakefile so one can rake rubocop
15:42 <hashar> then copy paste and poke ops about it and we can make the job voting

zeljkofilipin removed zeljkofilipin as the assignee of this task.Nov 2 2015, 12:42 PM

Change 252716 had a related patch set uploaded (by Zfilipin):
Move bundle-rubocop job from experimental to test pipeline for operations/puppet

https://gerrit.wikimedia.org/r/252716

Change 252689 had a related patch set uploaded (by Zfilipin):
Added rake-jessie job to test and gate-and-submit pipelines for operations/puppet repository

https://gerrit.wikimedia.org/r/252689

Change 252716 merged by jenkins-bot:
Move bundle-rubocop job from experimental to test pipeline for operations/puppet

https://gerrit.wikimedia.org/r/252716

zeljkofilipin closed this task as Resolved.Nov 24 2015, 3:51 PM

Change 252689 merged by jenkins-bot:
[puppet] Add rake-jessie job to test

https://gerrit.wikimedia.org/r/252689